SbCylinder(3IV)

NAME
SbCylinder — class for representing a cylinder

INHERITS FROM
SbCylinder

SYNOPSIS
#include <Inventor/SbLinear.h>

Methods from class SbCylinder:

SbCylinder()

SbCylinder(const SbLine &a, float r)
void
setValue(const SbLine &a, float r)
void
setAxis(const SbLine &a)
void
setRadius(float r)
const SbLine &
getAxis() const
float
getRadius() const
SbBool
intersect(const SbLine &l, SbVec3f &intersection) const
SbBool
intersect(const SbLine &l, SbVec3f &enter, SbVec3f &exit) const

DESCRIPTION
This class defines a simple cylinder datatype. It is used by the Inventor toolkit for arguments or return values.

METHODS

SbCylinder()

SbCylinder(const SbLine &a, float r)
Constructors. One takes an axis and radius.

void
setValue(const SbLine &a, float r)
Change the axis and radius.

void
setAxis(const SbLine &a)
void
setRadius(float r)
Set just the axis or radius.

const SbLine &
getAxis() const
float
getRadius() const
Return the axis and radius.

SbBool
intersect(const SbLine &l, SbVec3f &intersection) const
SbBool
intersect(const SbLine &l, SbVec3f &enter, SbVec3f &exit) const
Intersect line and cylinder, returning TRUE if there is an intersection.

FILE FORMAT/DEFAULTS

SEE ALSO
SbVec3f, SbLine, SbPlane, SbSphere, SoCylinder